Skip to content
This repository
tree: c732fff415
Fetching contributors…

Cannot retrieve contributors at this time

file 119 lines (115 sloc) 4.414 kb
1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 30 31 32 33 34 35 36 37 38 39 40 41 42 43 44 45 46 47 48 49 50 51 52 53 54 55 56 57 58 59 60 61 62 63 64 65 66 67 68 69 70 71 72 73 74 75 76 77 78 79 80 81 82 83 84 85 86 87 88 89 90 91 92 93 94 95 96 97 98 99 100 101 102 103 104 105 106 107 108 109 110 111 112 113 114 115 116 117 118 119
# Generated by jeweler
# DO NOT EDIT THIS FILE DIRECTLY
# Instead, edit Jeweler::Tasks in Rakefile, and run the gemspec command
# -*- encoding: utf-8 -*-

Gem::Specification.new do |s|
  s.name = %q{hercules}
  s.version = "0.2.6"

  s.required_rubygems_version = Gem::Requirement.new(">= 0") if s.respond_to? :required_rubygems_version=
  s.authors = ["Diogo Biazus"]
  s.date = %q{2011-01-27}
  s.default_executable = %q{hercules}
  s.description = %q{Very simple deployment tool. It was made to deploy rails applications using github, bundler.}
  s.email = %q{diogob@gmail.com}
  s.executables = ["hercules"]
  s.extra_rdoc_files = [
    "LICENSE",
     "README.md"
  ]
  s.files = [
    ".gitignore",
     "Gemfile",
     "Gemfile.lock",
     "LICENSE",
     "README.md",
     "Rakefile",
     "VERSION",
     "bin/hercules",
     "hdi/README.md",
     "hdi/config.rb",
     "hdi/site/index.html",
     "hdi/site/stylesheets/style.css",
     "hdi/src/configuration.rb",
     "hdi/src/layouts/application.haml",
     "hdi/src/pages/_hdi.haml",
     "hdi/src/pages/_header.haml",
     "hdi/src/pages/_jquery.haml",
     "hdi/src/pages/index.haml",
     "hdi/src/stylesheets/style.sass",
     "hercules.gemspec",
     "lib/command_runner.rb",
     "lib/config.rb",
     "lib/deployer.rb",
     "lib/git_handler.rb",
     "lib/hercules.rb",
     "lib/http_handler.rb",
     "lib/request_handler.rb",
     "tests/command_runner_test.rb",
     "tests/config_test.rb",
     "tests/fixtures/Gemfile",
     "tests/fixtures/Gemfile.lock",
     "tests/fixtures/Gemfile.with_git_gem",
     "tests/fixtures/Gemfile.with_git_gem.lock",
     "tests/fixtures/bogus_config.yml",
     "tests/fixtures/bogus_deployer.rb",
     "tests/fixtures/config.yml",
     "tests/fixtures/config_empty.yml",
     "tests/fixtures/config_empty_branches.yml",
     "tests/fixtures/config_empty_projects.yml",
     "tests/fixtures/config_global.yml",
     "tests/fixtures/config_partial_1.yml",
     "tests/fixtures/config_partial_2.yml",
     "tests/fixtures/config_partial_3.yml",
     "tests/fixtures/deployer_branch.rb",
     "tests/fixtures/deployer_exception.rb",
     "tests/fixtures/deployer_false.rb",
     "tests/fixtures/deployer_path.rb",
     "tests/fixtures/deployer_true.rb",
     "tests/fixtures/deployer_undefined_variable.rb",
     "tests/fixtures/startup_checkout_config.yml",
     "tests/fixtures/startup_checkout_error_config.yml",
     "tests/git_handler_test.rb",
     "tests/git_setup.rb",
     "tests/hercules_test.rb",
     "tests/http_handler_test.rb",
     "tests/request_handler_test.rb",
     "tests/startup.rb"
  ]
  s.homepage = %q{http://github.com/diogob/hercules}
  s.rdoc_options = ["--charset=UTF-8"]
  s.require_paths = ["lib"]
  s.rubygems_version = %q{1.3.7}
  s.summary = %q{Simple deploy solution for ruby applications (using github+bundler).}

  if s.respond_to? :specification_version then
    current_version = Gem::Specification::CURRENT_SPECIFICATION_VERSION
    s.specification_version = 3

    if Gem::Version.new(Gem::VERSION) >= Gem::Version.new('1.2.0') then
      s.add_runtime_dependency(%q<eventmachine>, ["= 0.12.10"])
      s.add_runtime_dependency(%q<eventmachine_httpserver>, ["= 0.2.0"])
      s.add_runtime_dependency(%q<git>, ["= 1.2.5"])
      s.add_runtime_dependency(%q<json>, ["= 1.4.6"])
      s.add_runtime_dependency(%q<bundler>, ["~> 1.0.0"])
      s.add_development_dependency(%q<haml>, ["= 3.0.18"])
      s.add_development_dependency(%q<compass>, ["= 0.10.5"])
      s.add_development_dependency(%q<staticmatic>, ["= 0.10.8"])
    else
      s.add_dependency(%q<eventmachine>, ["= 0.12.10"])
      s.add_dependency(%q<eventmachine_httpserver>, ["= 0.2.0"])
      s.add_dependency(%q<git>, ["= 1.2.5"])
      s.add_dependency(%q<json>, ["= 1.4.6"])
      s.add_dependency(%q<bundler>, ["~> 1.0.0"])
      s.add_dependency(%q<haml>, ["= 3.0.18"])
      s.add_dependency(%q<compass>, ["= 0.10.5"])
      s.add_dependency(%q<staticmatic>, ["= 0.10.8"])
    end
  else
    s.add_dependency(%q<eventmachine>, ["= 0.12.10"])
    s.add_dependency(%q<eventmachine_httpserver>, ["= 0.2.0"])
    s.add_dependency(%q<git>, ["= 1.2.5"])
    s.add_dependency(%q<json>, ["= 1.4.6"])
    s.add_dependency(%q<bundler>, ["~> 1.0.0"])
    s.add_dependency(%q<haml>, ["= 3.0.18"])
    s.add_dependency(%q<compass>, ["= 0.10.5"])
    s.add_dependency(%q<staticmatic>, ["= 0.10.8"])
  end
end
Something went wrong with that request. Please try again.